Skip to main content

Give reward

POST /v1/public/customers/{customerId}/rewards

Issues one or more instances of an active merchant reward template to a customer. This operation requires an idempotency key.

Authorization

X-API-Key required with the customers:write scope

Parameters

NameLocationTypeRequiredDescription
customerIdpathstringYesThe customer's returned id or externalId.
Idempotency-KeyheaderstringYesA unique key for this logical write operation. Keys are retained for 24 hours.

Request body

FieldTypeRequiredDescription
rewardIdstringYesActive merchant reward-template ID.
quantityintegerNo
locationIdstringNoOptional active merchant location responsible for the issuance.

Request example

curl -X POST "https://api.remyrewards.co.uk/v1/public/customers/66c735e253f2836fbe941235/rewards" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Idempotency-Key: order-1042-redeem-1" \
  -H "Content-Type: application/json" \
  --data '{
  "rewardId": "66c735e253f2836fbe941236",
  "quantity": 1,
  "locationId": "66c735e253f2836fbe941333"
}'

Responses

StatusDescription
201Reward issued.
400The request is missing a required value or contains invalid data.
401The API key is missing or invalid.
403The API key is valid but does not have the required scope.
404The requested integration resource was not found.
409The idempotency key is already processing or was used for a different request.
429A rate or concurrency limit was exceeded.